%global momorel 2

Summary: PIN entry
Name: pinentry
Version: 0.7.2
Release: %{momorel}m
URL: http://www.gnupg.org/
Source0: ftp://ftp.gnupg.org/gcrypt/pinentry/pinentry-%{version}.tar.gz
# Source0: ftp://ftp.gnupg.org/gcrypt/alpha/aegypten/pinentry-%{version}.tar.gz
# Source0: ftp://ftp.klaralvdalens-datakonsult.se/pub/aegypten/alpha/latest/pinentry-%{version}.tar.gz
NoSource: 0
Provides: pinentry-curses
Provides: pinentry-gtk

License: GPL
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: gtk+1-devel
BuildPreReq: ncurses-devel
Requires: gtk+1
Requires: ncurses
Requires: info

%{?include_specopt}
%{?!pinqt: %global pinqt 0}
%if %{pinqt}
Requires: qt
BuildPreReq: qt-devel
Provides: pinentry-qt
%endif

%description
The pinentry is a small GUI application used to enter PINs or
Passphrases. It is usually invoked by gpg-agent.

%prep
%setup -q

%build
export AUTOMAKE=automake-1.7
export ACLOCAL=aclocal-1.7
./autogen.sh
%configure --enable-pinentry-curses --enable-pinentry-gtk \
	--enable-fallback-curses \
%if %{pinqt}
	--enable-pinentry-qt \
%else
	--disable-pinentry-qt \
%endif
	--disable-embedded --disable-palmtop --enable-maintainer-mode
%make


%install
rm -rf %{buildroot}
%makeinstall bindir=%{?buildroot:%{buildroot}}%{_sbindir}
rm -f %{buildroot}%{_infodir}/dir

%clean
rm -rf %{buildroot}


%post
if [ "$1" = 1 ]; then
/sbin/install-info %{_infodir}/pinentry.info %{_infodir}/dir \
--entry='* pinentry: (pinentry). PIN entry.'
fi

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --delete pinentry %{_infodir}/dir
fi


%files
%defattr(-,root,root)
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc NEWS
%doc README
%doc THANKS
%doc TODO
%{_sbindir}/pinentry-*
%{_infodir}/pinentry*

%changelog
* Wed Mar  9 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.7.2-2m)
- rebuild against libtermcap and ncurses

* Sat Jan 29 2005 TAKAHASHI Tamotsu <tamo>
- (0.7.2-1m)
- Alter -> Main

* Mon Jun 14 2004 TAKAHASHI Tamotsu <tamo>
- (0.7.1-2m)
- does not conflict with newpg
 because old newpg has been removed

* Fri May 07 2004 TAKAHASHI Tamotsu <tamo>
- (0.7.1-1m)

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (0.6.9-3m)
- rebuild against ncurses 5.3.

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (0.6.9-2m)
- revised spec for rpm 4.2.

* Mon Nov 02 2003 TAKAHASHI Tamotsu <tamo>
- (0.6.9-1m)
- pinentry, divided from newpg
- Group: User Interface/X
- --enable-maintainer-mode
- correct and install info file
- BuildPreReq: gtk+1-devel, ncurses-devel
- Requires: gtk+1, ncurses, info
- Conflicts: newpg
